#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use Time::Local; 
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";

if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "group_operations") {&group_operations;}
if ($q->param('fct') eq "add_group_final") {&add_group_final;}
if ($q->param('fct') eq "banner_group_operations") {&banner_group_operations;}
if ($q->param('fct') eq "add_banner_final") {&add_banner_final;}
if ($q->param('fct') eq "save_banner_group_properties") {&save_banner_group_properties;}
if ($q->param('fct') eq "set_default_bfinal") {&set_default_bfinal;}
if ($q->param('fct') eq "delete_bgroup_final") {&delete_bgroup_final;}
if ($q->param('fct') eq "reset_stats_final") {&reset_stats_final;}

if ($q->param('fct') eq "getstats") {&get_stats;}



##################################################################################

sub group_operations
{

if ($q->param('add_bgroup') ne ""){&add_banner_group;}

if ($q->param('set_default') ne ""){&set_default; exit;}

if ($q->param('faction') eq "Edit"){&edit_banner_group;}

if ($q->param('faction') eq "edit_group_properties"){&edit_group_properties;}

if ($q->param('faction') eq "get_html_code") {&get_html_code;}

if ($q->param('faction') eq "statistics") {&get_stats;}

if ($q->param('faction') eq "delete") {&delete_group;}

if ($q->param('faction') eq "reset") {&reset_stats;}

if ($q->param('faction') eq "usage") {&usage_report;}

}




sub usage_report
{

$bgroup = $q->param('group');

($bgroupnm, $gid) = split (/-/, $bgroup);

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT * FROM dirs WHERE (addslot1 = '$bgroup') or (addslot2 = '$bgroup') or  (addslot3 = '$bgroup') or  (addslot4 = '$bgroup') or  (addslot5 = '$bgroup')";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";}

while ( @row = $sth->fetchrow() )
	{
	$cats = "";
	for ($ms = 2; $ms < 18; $ms++) 
		{
		if ($row[$ms] ne "")
			{
			$cats = $cats . $row[$ms] . "/";
			}
		}
	$categories = $categories . $cats . "<BR>";
	}
	
$sth->finish;
$dbh->disconnect;

if ($categories eq "") { $categories = "This group of banners is not in use in any category."; }

########

$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Group Usage Report", qq[
Displays the categories where banner group <b>$bgroupnm</b> is in use. You can assign banner groupts to be rotated in specific categories. See the PowerSeek documentation for information on targeting banner groups at categories for more information.<BR>
<a href="$admin_url/admin29.cgi"><b>Go Back</b></a>
]);


print <<END_OF_USAGE;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox
<blockquote>
<p>$categories</p>
</blockquote>
</body>
</html>

END_OF_USAGE

}




sub reset_stats_final
{

$bgroup = $q->param('bgroup');
$gid = $q->param('gid');

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }
 
$sql = "DELETE FROM balogs WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";}

$sql = "UPDATE bannergrp SET current_imp = '0', current_clc = '0' WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";}

$sth->finish;
$dbh->disconnect;



$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Group Statistics Cleared", qq[
<a href="$admin_url/admin29.cgi">Click Here to Continue.</a>
]);


print <<END_OF_RST;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>

END_OF_RST


}



sub reset_stats
{

$bgroup = $q->param('group');
($bgroup, $gid) = split (/-/, $bgroup);


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Reset Group Stats of Group '$bgroup'", qq[
Reseting the statistics of this group will have the effect of clearing all statistics of banners in this group.<BR>

<form method="POST" action="$admin_url/admin29.cgi">
<input type="hidden" name="bid" value="$bid">
<input type="hidden" name="bname" value="$bname">
<input type="hidden" name="fct" value="reset_stats_final">
<input type="hidden" name="gid" value="$gid">
<input type="hidden" name="bgroup" value="$bgroup">
<p><b>Are you sure?</b> <input name="B1" type="submit" value="    Yes    "> 
<input name="B1" type="submit" value="    No    " onClick="history.go(-1); return false;"></p>
</form>
]);


print <<END_OF_BC;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>

END_OF_BC

}



sub delete_bgroup_final
{

$gid = $q->param('gid');
$bgroup = $q->param('bgroup');

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "DELETE FROM balogs WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$sql = "DELETE FROM banners WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$sql = "DELETE FROM bannergrp WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$sth->finish;
$dbh->disconnect;

#############

$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Group '$bgroup' Removed", qq[
<a href="$admin_url/admin29.cgi">Click Here to Continue.</a>
]);



print <<END_OF_DELF;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>

END_OF_DELF


}




sub delete_group
{

$bgroup = $q->param('group');
($bgroup, $gid) = split (/-/, $bgroup);


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Delete Banner Group '$bgroup'", qq[
<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="bgroup" value="$bgroup"><input type="hidden" name="fct"
  value="delete_bgroup_final"><input type="hidden" name="gid" value="$gid"><p>Deleting this
  banner group will delete all the banners residing in this group; together with their
  statistics. <strong><br>
  Are you sure? </strong><input type="submit" value="    Yes    " name="B1"> 
  <input name="B1" type="submit" value="    No    " onClick="history.go(-1); return false;"></p>
</form><BR>

]);


print <<END_OF_DEL;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>
END_OF_DEL

}





sub get_stats
{


$bgroup = $q->param('group');
($bgroup, $gid) = split (/-/, $bgroup);

$ogroup = $q->param('group');

$s_from_day = $q->param('from_day');
$s_from_month = $q->param('from_month');
$s_from_year = $q->param('from_year');

$s_to_day = $q->param('to_day');
$s_to_month = $q->param('to_month');
$s_to_year = $q->param('to_year');


### PREPARE DATE BOXES FOR STARTUP

if (($s_to_day eq "") and ($s_to_month eq "") and ($s_to_year eq ""))
{

($sec,$min,$hour,$mday,$mon,$year,$wday,$ydat,$isdst) = localtime();
$year = $year + 1900;

$start_day[$mday -1] = "selected";
$start_month[$mon] = "selected";

if ($year eq "2003") { $start_year[0] = "selected"; }
if ($year eq "2004") { $start_year[1] = "selected"; }
if ($year eq "2005") { $start_year[2] = "selected"; }
if ($year eq "2006") { $start_year[3] = "selected"; }
if ($year eq "2007") { $start_year[4] = "selected"; }
if ($year eq "2008") { $start_year[5] = "selected"; }
if ($year eq "2009") { $start_year[6] = "selected"; }
if ($year eq "2010") { $start_year[7] = "selected"; }
if ($year eq "2011") { $start_year[8] = "selected"; }
if ($year eq "2012") { $start_year[9] = "selected"; }
if ($year eq "2013") { $start_year[10] = "selected"; }
if ($year eq "2014") { $start_year[11] = "selected"; }
if ($year eq "2015") { $start_year[12] = "selected"; }
if ($year eq "2016") { $start_year[13] = "selected"; }

$hbox = acs::get_heading_box("$web_url/ic_chart.gif", "Banner Group Statistics", qq[
<p><strong><a href="$admin_url/admin29.cgi">Banner Groups </a>&gt; <a
href="$admin_url/admin29.cgi?faction=Edit&amp;fct=group_operations&amp;group=$bgroup-$gid">$bgroup
</a>&nbsp; &gt; Group Statistics</strong></p>
]);

print qq[

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>

<body>
$hbox

<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="getstats">
  <input type="hidden" name="group" value="$ogroup">
  
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD">
    <tr>
      <td width="780" height="30" colspan="2" background="$web_url/bar6.gif" class="normaltext"><strong>Banner
      Group Statistics</strong></td>
    </tr>
    <tr>
      <td width="766" colspan="2" bgcolor="#F4F4F4" class="normaltext">Choose a date range below
      to display statistics:</td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext">From Date: </td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><select name="from_day" size="1">
        <option value="1" selected> 1 </option>
        <option value="2"> 2 </option>
        <option value="3"> 3 </option>
        <option value="4"> 4 </option>
        <option value="5"> 5 </option>
        <option value="6"> 6 </option>
        <option value="7"> 7 </option>
        <option value="8"> 8 </option>
        <option value="9"> 9 </option>
        <option value="10"> 10 </option>
        <option value="11"> 11 </option>
        <option value="12"> 12 </option>
        <option value="13"> 13 </option>
        <option value="14"> 14 </option>
        <option value="15"> 15 </option>
        <option value="16"> 16 </option>
        <option value="17"> 17 </option>
        <option value="18"> 18 </option>
        <option value="19"> 19 </option>
        <option value="20"> 20 </option>
        <option value="21"> 21 </option>
        <option value="22"> 22 </option>
        <option value="23"> 23 </option>
        <option value="24"> 24 </option>
        <option value="25"> 25 </option>
        <option value="26"> 26 </option>
        <option value="27"> 27 </option>
        <option value="28"> 28 </option>
        <option value="29"> 29 </option>
        <option value="30"> 30 </option>
        <option value="31"> 31 </option>
      </select> <select name="from_month" size="1">
        <option $start_month[0] value="1"> January </option>
        <option $start_month[1] value="2"> February </option>
        <option $start_month[2] value="3"> March </option>
        <option $start_month[3] value="4"> April </option>
        <option $start_month[4] value="5"> May </option>
        <option $start_month[5] value="6"> June </option>
        <option $start_month[6] value="7"> July </option>
        <option $start_month[7] value="8"> August </option>
        <option $start_month[8] value="9"> September </option>
        <option $start_month[9] value="10"> October </option>
        <option $start_month[10] value="11"> November </option>
        <option $start_month[11] value="12"> December </option>
      </select> <select name="from_year" size="1">
        <option $start_year[0] value="2003"> 2003 </option>
        <option $start_year[1] value="2004"> 2004 </option>
        <option $start_year[2] value="2005"> 2005 </option>
        <option $start_year[3] value="2006"> 2006 </option>
        <option $start_year[4] value="2007"> 2007 </option>
        <option $start_year[5] value="2008"> 2008 </option>
        <option $start_year[6] value="2009"> 2009 </option>
        <option $start_year[7] value="2010"> 2010 </option>
        <option $start_year[8] value="2011"> 2011 </option>
        <option $start_year[9] value="2012"> 2012 </option>
        <option $start_year[10] value="2013"> 2013 </option>
        <option $start_year[11] value="2014"> 2014 </option>
        <option $start_year[12] value="2015"> 2015 </option>
        <option $start_year[13] value="2016"> 2016 </option>
        
      </select></td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext">To Date:&nbsp; </td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><select name="to_day" size="1">
        <option $start_day[0] value="1"> 1 </option>
        <option $start_day[1] value="2"> 2 </option>
        <option $start_day[2] value="3"> 3 </option>
        <option $start_day[3] value="4"> 4 </option>
        <option $start_day[4] value="5"> 5 </option>
        <option $start_day[5] value="6"> 6 </option>
        <option $start_day[6] value="7"> 7 </option>
        <option $start_day[7] value="8"> 8 </option>
        <option $start_day[8] value="9"> 9 </option>
        <option $start_day[9] value="10"> 10 </option>
        <option $start_day[10] value="11"> 11 </option>
        <option $start_day[11] value="12"> 12 </option>
        <option $start_day[12] value="13"> 13 </option>
        <option $start_day[13] value="14"> 14 </option>
        <option $start_day[14] value="15"> 15 </option>
        <option $start_day[15] value="16"> 16 </option>
        <option $start_day[16] value="17"> 17 </option>
        <option $start_day[17] value="18"> 18 </option>
        <option $start_day[18] value="19"> 19 </option>
        <option $start_day[19] value="20"> 20 </option>
        <option $start_day[20] value="21"> 21 </option>
        <option $start_day[21] value="22"> 22 </option>
        <option $start_day[22] value="23"> 23 </option>
        <option $start_day[23] value="24"> 24 </option>
        <option $start_day[24] value="25"> 25 </option>
        <option $start_day[25] value="26"> 26 </option>
        <option $start_day[26] value="27"> 27 </option>
        <option $start_day[27] value="28"> 28 </option>
        <option $start_day[28] value="29"> 29 </option>
        <option $start_day[29] value="30"> 30 </option>
        <option $start_day[30] value="31"> 31 </option>
      </select> <select name="to_month" size="1">
        <option $start_month[0] value="1"> January </option>
        <option $start_month[1] value="2"> February </option>
        <option $start_month[2] value="3"> March </option>
        <option $start_month[3] value="4"> April </option>
        <option $start_month[4] value="5"> May </option>
        <option $start_month[5] value="6"> June </option>
        <option $start_month[6] value="7"> July </option>
        <option $start_month[7] value="8"> August </option>
        <option $start_month[8] value="9"> September </option>
        <option $start_month[9] value="10"> October </option>
        <option $start_month[10] value="11"> November </option>
        <option $start_month[11] value="12"> December </option>
      </select> <select name="to_year" size="1">
        <option $start_year[0] value="2003"> 2003 </option>
        <option $start_year[1] value="2004"> 2004 </option>
        <option $start_year[2] value="2005"> 2005 </option>
        <option $start_year[3] value="2006"> 2006 </option>
        <option $start_year[4] value="2007"> 2007 </option>
        <option $start_year[5] value="2008"> 2008 </option>
        <option $start_year[6] value="2009"> 2009 </option>
        <option $start_year[7] value="2010"> 2010 </option>
        <option $start_year[8] value="2011"> 2010 </option>
        <option $start_year[9] value="2012"> 2010 </option>
        <option $start_year[10] value="2013"> 2010 </option>
        <option $start_year[11] value="2014"> 2010 </option>
        <option $start_year[12] value="2015"> 2010 </option>
        <option $start_year[13] value="2016"> 2010 </option>
      </select></td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="   Get Statistics   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>
</body>
</html>
];

exit;

}


### GET DATE BOXES


$s_from_day = $q->param('from_day'); $ar_from_day[$s_from_day] = "selected";
$s_from_month = $q->param('from_month'); $ar_from_month[$s_from_month] = "selected";
$s_from_year = $q->param('from_year'); 

if ($s_from_year eq "2003") { $start_year[0] = "selected"; }
if ($s_from_year eq "2004") { $start_year[1] = "selected"; }
if ($s_from_year eq "2005") { $start_year[2] = "selected"; }
if ($s_from_year eq "2006") { $start_year[3] = "selected"; }
if ($s_from_year eq "2007") { $start_year[4] = "selected"; }
if ($s_from_year eq "2008") { $start_year[5] = "selected"; }
if ($s_from_year eq "2009") { $start_year[6] = "selected"; }
if ($s_from_year eq "2010") { $start_year[7] = "selected"; }
if ($s_from_year eq "2011") { $start_year[8] = "selected"; }
if ($s_from_year eq "2012") { $start_year[9] = "selected"; }
if ($s_from_year eq "2013") { $start_year[10] = "selected"; }
if ($s_from_year eq "2014") { $start_year[11] = "selected"; }
if ($s_from_year eq "2015") { $start_year[12] = "selected"; }
if ($s_from_year eq "2016") { $start_year[13] = "selected"; }

$s_to_day = $q->param('to_day'); $ar_to_day[$s_to_day] = "selected";
$s_to_month = $q->param('to_month'); $ar_to_month[$s_to_month] = "selected";
$s_to_year = $q->param('to_year');

if ($s_to_year eq "2003") { $end_year[0] = "selected"; }
if ($s_to_year eq "2004") { $end_year[1] = "selected"; }
if ($s_to_year eq "2005") { $end_year[2] = "selected"; }
if ($s_to_year eq "2006") { $end_year[3] = "selected"; }
if ($s_to_year eq "2007") { $end_year[4] = "selected"; }
if ($s_to_year eq "2008") { $end_year[5] = "selected"; }
if ($s_to_year eq "2009") { $end_year[6] = "selected"; }
if ($s_to_year eq "2010") { $end_year[7] = "selected"; }
if ($s_to_year eq "2011") { $end_year[8] = "selected"; }
if ($s_to_year eq "2012") { $end_year[9] = "selected"; }
if ($s_to_year eq "2013") { $end_year[10] = "selected"; }
if ($s_to_year eq "2014") { $end_year[11] = "selected"; }
if ($s_to_year eq "2015") { $end_year[12] = "selected"; }
if ($s_to_year eq "2016") { $end_year[13] = "selected"; }


$sql_start_date = "$s_from_year-$s_from_month-$s_from_day";
$sql_end_date = "$s_to_year-$s_to_month-$s_to_day";


if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT statdate, bid, impressions, clicks FROM balogs WHERE 	(groupid = '$gid') 
																					 AND 	(statdate >= '$sql_start_date') AND
																					 		(statdate <= '$sql_end_date')
		  ORDER BY statdate";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$stat_cnt = 0;
while ( @row = $sth->fetchrow() )
	{
	if ($current_date ne $row[0])
		{
		$current_date = $row[0];
		$statline[$stat_cnt] = $row[0] . ":" . $row[2] . ":" . $row[3];
		$stat_cnt++;

		if ($row[2] > $high_imp) {$high_imp = $row[2];}
		if ($row[3] > $high_clicks) {$high_clicks = $row[3];}		
		}
		else
		{
		($statdate, $impressions, $clicks) = split (/:/, $statline[$stat_cnt - 1]);
			$impressions = $impressions + $row[2];
			$clicks = $clicks + $row[3];
		$statline[$stat_cnt -1] = $statdate . ":" . $impressions . ":" . $clicks;

		if ($impressions > $high_imp) {$high_imp = $impressions;}
		if ($clicks > $high_clicks) {$high_clicks = $clicks;}				
		}
	
	}

	
$sth->finish;
$dbh->disconnect;

#################


$hbox = acs::get_heading_box("$web_url/ic_chart.gif", "Banner Group Statistics", qq[
<p><strong><a href="$admin_url/admin29.cgi">Banner Groups </a>&gt; <a
href="$admin_url/admin29.cgi?faction=Edit&amp;fct=group_operations&amp;group=$bgroup-$gid">$bgroup
</a>&nbsp; &gt; Group Statistics</strong></p>
]);




print <<END_OF_TOPP;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="getstats">
  <input type="hidden" name="group" value="$ogroup">
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD">
    <tr>
      <td width="780" height="30" colspan="2" background="$web_url/bar6.gif" class="normaltext"><strong>Banner
      Group Statistics</strong></td>
    </tr>
    <tr>
      <td width="766" colspan="2" bgcolor="#F4F4F4" class="normaltext">Choose a date range below
      to display statistics:</td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext">From Date: </td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><select name="from_day" size="1">
        <option value="1" $ar_from_day[1]> 1 </option>
        <option value="2" $ar_from_day[2]> 2 </option>
        <option value="3" $ar_from_day[3]> 3 </option>
        <option value="4" $ar_from_day[4]> 4 </option>
        <option value="5" $ar_from_day[5]> 5 </option>
        <option value="6" $ar_from_day[6]> 6 </option>
        <option value="7" $ar_from_day[7]> 7 </option>
        <option value="8" $ar_from_day[8]> 8 </option>
        <option value="9" $ar_from_day[9]> 9 </option>
        <option value="10" $ar_from_day[10]> 10 </option>
        <option value="11" $ar_from_day[11]> 11 </option>
        <option value="12" $ar_from_day[12]> 12 </option>
        <option value="13" $ar_from_day[13]> 13 </option>
        <option value="14" $ar_from_day[14]> 14 </option>
        <option value="15" $ar_from_day[15]> 15 </option>
        <option value="16" $ar_from_day[16]> 16 </option>
        <option value="17" $ar_from_day[17]> 17 </option>
        <option value="18" $ar_from_day[18]> 18 </option>
        <option value="19" $ar_from_day[19]> 19 </option>
        <option value="20" $ar_from_day[20]> 20 </option>
        <option value="21" $ar_from_day[21]> 21 </option>
        <option value="22" $ar_from_day[22]> 22 </option>
        <option value="23" $ar_from_day[23]> 23 </option>
        <option value="24" $ar_from_day[24]> 24 </option>
        <option value="25" $ar_from_day[25]> 25 </option>
        <option value="26" $ar_from_day[26]> 26 </option>
        <option value="27" $ar_from_day[27]> 27 </option>
        <option value="28" $ar_from_day[28]> 28 </option>
        <option value="29" $ar_from_day[29]> 29 </option>
        <option value="30" $ar_from_day[30]> 30 </option>
        <option value="31" $ar_from_day[31]> 31 </option>
      </select> <select name="from_month" size="1">
        <option $ar_from_month[1] value="1"> January </option>
        <option $ar_from_month[2] value="2"> February </option>
        <option $ar_from_month[3] value="3"> March </option>
        <option $ar_from_month[4] value="4"> April </option>
        <option $ar_from_month[5] value="5"> May </option>
        <option $ar_from_month[6] value="6"> June </option>
        <option $ar_from_month[7] value="7"> July </option>
        <option $ar_from_month[8] value="8"> August </option>
        <option $ar_from_month[9] value="9"> September </option>
        <option $ar_from_month[10] value="10"> October </option>
        <option $ar_from_month[11] value="11"> November </option>
        <option $ar_from_month[12] value="12"> December </option>
      </select> <select name="from_year" size="1">
        <option $start_year[0] value="2003"> 2003 </option>
        <option $start_year[1] value="2004"> 2004 </option>
        <option $start_year[2] value="2005"> 2005 </option>
        <option $start_year[3] value="2006"> 2006 </option>
        <option $start_year[4] value="2007"> 2007 </option>
        <option $start_year[5] value="2008"> 2008 </option>
        <option $start_year[6] value="2009"> 2009 </option>
        <option $start_year[7] value="2010"> 2010 </option>
        <option $start_year[8] value="2011"> 2011 </option>
        <option $start_year[9] value="2012"> 2012 </option>
        <option $start_year[10] value="2013"> 2013 </option>
        <option $start_year[11] value="2014"> 2014 </option>
        <option $start_year[12] value="2015"> 2015 </option>
        <option $start_year[13] value="2016"> 2016 </option>
        
      </select></td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext">To Date:&nbsp; </td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><select name="to_day" size="1">
        <option $ar_to_day[1] value="1"> 1 </option>
        <option $ar_to_day[2] value="2"> 2 </option>
        <option $ar_to_day[3] value="3"> 3 </option>
        <option $ar_to_day[4] value="4"> 4 </option>
        <option $ar_to_day[5] value="5"> 5 </option>
        <option $ar_to_day[6] value="6"> 6 </option>
        <option $ar_to_day[7] value="7"> 7 </option>
        <option $ar_to_day[8] value="8"> 8 </option>
        <option $ar_to_day[9] value="9"> 9 </option>
        <option $ar_to_day[10] value="10"> 10 </option>
        <option $ar_to_day[11] value="11"> 11 </option>
        <option $ar_to_day[12] value="12"> 12 </option>
        <option $ar_to_day[13] value="13"> 13 </option>
        <option $ar_to_day[14] value="14"> 14 </option>
        <option $ar_to_day[15] value="15"> 15 </option>
        <option $ar_to_day[16] value="16"> 16 </option>
        <option $ar_to_day[17] value="17"> 17 </option>
        <option $ar_to_day[18] value="18"> 18 </option>
        <option $ar_to_day[19] value="19"> 19 </option>
        <option $ar_to_day[20] value="20"> 20 </option>
        <option $ar_to_day[21] value="21"> 21 </option>
        <option $ar_to_day[22] value="22"> 22 </option>
        <option $ar_to_day[23] value="23"> 23 </option>
        <option $ar_to_day[24] value="24"> 24 </option>
        <option $ar_to_day[25] value="25"> 25 </option>
        <option $ar_to_day[26] value="26"> 26 </option>
        <option $ar_to_day[27] value="27"> 27 </option>
        <option $ar_to_day[28] value="28"> 28 </option>
        <option $ar_to_day[29] value="29"> 29 </option>
        <option $ar_to_day[30] value="30"> 30 </option>
        <option $ar_to_day[31] value="31"> 31 </option>
      </select> <select name="to_month" size="1">
        <option $ar_to_month[1] value="1"> January </option>
        <option $ar_to_month[2] value="2"> February </option>
        <option $ar_to_month[3] value="3"> March </option>
        <option $ar_to_month[4] value="4"> April </option>
        <option $ar_to_month[5] value="5"> May </option>
        <option $ar_to_month[6] value="6"> June </option>
        <option $ar_to_month[7] value="7"> July </option>
        <option $ar_to_month[8] value="8"> August </option>
        <option $ar_to_month[9] value="9"> September </option>
        <option $ar_to_month[10] value="10"> October </option>
        <option $ar_to_month[11] value="11"> November </option>
        <option $ar_to_month[12] value="12"> December </option>
      </select> <select name="to_year" size="1">
        <option $end_year[0] value="2003"> 2003 </option>
        <option $end_year[1] value="2004"> 2004 </option>
        <option $end_year[2] value="2005"> 2005 </option>
        <option $end_year[3] value="2006"> 2006 </option>
        <option $end_year[4] value="2007"> 2007 </option>
        <option $end_year[5] value="2008"> 2008 </option>
        <option $end_year[6] value="2009"> 2009 </option>
        <option $end_year[7] value="2010"> 2010 </option>
        <option $end_year[8] value="2011"> 2010 </option>        
        <option $end_year[9] value="2012"> 2010 </option>
        <option $end_year[10] value="2013"> 2010 </option>
        <option $end_year[11] value="2014"> 2010 </option>        
        <option $end_year[12] value="2015"> 2010 </option>
        <option $end_year[13] value="2016"> 2010 </option>
      </select></td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="   Get Statistics   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>


<table border="0" cellpadding="6" cellspacing="1" width="100%" style="border: 1px solid rgb(219,219,219)">
  <tr>
    <td width="20%" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Date </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Impressions
    </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Clicks </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Ratio </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Imp
    Graph </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Clicks
    Graph </strong></td>
  </tr>
END_OF_TOPP

#print "==> HIGH CLICKS: = $high_clicks<BR>";
#print "==> HIGH IMP: = $high_imp<BR>";

foreach $item (@statline)
	{
	($statdate, $impressions, $clicks) = split (/:/, $item);

	if (($impressions > 1) and ($high_imp > 1))
		{
		$impgraph = $impressions * 100 / $high_imp;
		}
		
	if ($impgraph > 0)
		{
		#$impgraph = "<hr noshade size=\"5\" color=\"#8080C0\" width=\"$impgraph%\" align=\"left\">";
		
		$liperc = (100 - $impgraph);
		
		$impgraph = qq[<table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: 1px solid rgb(219,219,219)">
		  <tr>
		    <td width="$impgraph%" height="20" background="$web_url/bar.gif"></td>
		    <td width="$liperc%" height="20"></td>
		  </tr>
		</table>];
		
		}
		else
		{
		$impgraph = qq[<table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: 1px solid rgb(219,219,219)">
  <tr>
    <td width="0" height="20">&nbsp;</td>
  </tr>
</table>];
		}

	########

	if ($high_clicks > 0)
		{
		$clickgraph = $clicks * 100 / $high_clicks;
		}
		
	if ($clickgraph > 0)
		{
		#$clickgraph = qq[<hr noshade size="5" color="#8080C0" width="$clickgraph%" align="left">];
		
		$lperc = (100 - $clickgraph);
		
		$clickgraph = qq[<table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: 1px solid rgb(219,219,219)">
  <tr>
    <td width="$clickgraph%" height="20" background="$web_url/bar.gif"></td>
    <td width="$lperc%" height="20"></td>
  </tr>
</table>
		];
		}
		else
		{
		$clickgraph = qq[<table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: 1px solid rgb(219,219,219)">
  <tr>
    <td width="0" height="20">&nbsp;</td>
  </tr>
</table>];
		}
	
	########
	
	if ($impressions > 0)
		{
		$ratio = $clicks * 100 / $impressions;
		$ratio = sprintf("%5.2f",$ratio); 
		$ratio = $ratio . "%";
		}
		else
		{
		$ratio = "0.00%";
		}
	
print <<END_OF_STT;
 <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="30%" align="left" valign="top" class="normaltext">$statdate </td>
    <td width="10%" align="center" valign="top" class="normaltext">$impressions </td>
    <td width="10%" align="center" valign="top" class="normaltext">$clicks </td>
    <td width="10%" align="center" valign="top" class="normaltext">$ratio </td>
    <td width="10%" align="left" valign="top" class="normaltext">$impgraph </td>
    <td width="10%" align="left" valign="top" class="normaltext">$clickgraph </td>
  </tr>
END_OF_STT
	
	$total_imp = $total_imp + $impressions;
	$total_clicks = $total_clicks + $clicks;
	}




if ($stat_cnt == 0)
	{
print qq[
<tr align="center" colspan="5">
 <td width="30%" valign="top" align="left" class="normaltext">No Statistics available for selected criteria.</td>
</tr>
];
	}
	else
	{
	if (($total_clicks > 0) and ($total_imp > 0))
		{
		$total_ratio = $total_clicks * 100 / $total_imp;
		$total_ratio = sprintf("%5.2f",$total_ratio); 
		$total_ratio = $total_ratio . "%";
		}
		else
		{
		$total_ratio = 0 . "%";
		}
	
print qq[
 <tr>
  <td background="$web_url/bar.gif" width="30%" align="left" valign="top" class="normaltext"><b>Totals:</b> </td>
  <td background="$web_url/bar.gif" width="10%" align="center" valign="top" class="normaltext"><b>$total_imp</b> </td>
  <td background="$web_url/bar.gif" width="10%" align="center" valign="top" class="normaltext"><b>$total_clicks</b> </td>
  <td background="$web_url/bar.gif" width="10%" align="center" valign="top" class="normaltext"><b>$total_ratio</b> </td>
  <td background="$web_url/bar.gif" width="10%" align="left" valign="top" class="normaltext"> </td>
  <td background="$web_url/bar.gif" width="10%" align="left" valign="top" class="normaltext"> </td>
  </tr>
];
	}

print qq[</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>
</body></html>];


}




#####################

sub set_default_bfinal
{

open (DFB, "> $data_dir/defaultb.dat");
	print DFB $q->param('bannergrp');
close (DFB);


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Default Banner Group Set", qq[
<a href="$admin_url/admin29.cgi">Click here to continue.</a>
]);


print <<END_OF_SETG;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox
</body>
</html>

END_OF_SETG


}











sub set_default
{

$defaultb = acs::get_file_contents("$data_dir/defaultb.dat"); 

($defaultb, $dname) = split(/-/, $defaultb);

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT groupid, groupname FROM bannergrp ORDER BY groupname";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
	if ($defaultb == $row[0])
		{
		$boption = $boption . "<option selected value=\"$row[0]-$row[1]\">$row[1]</option>";
		}
		else
		{
		$boption = $boption . "<option value=\"$row[0]-$row[1]\">$row[1]</option>";
		}
	}

$sth->finish;
$dbh->disconnect;


########################

$set_default_banner_html = <<END_OF_BG;
<select name="bannergrp" size="1"> 
	$boption
	<option value="">None</option>
</select> 
<input type="submit" value="Set Default Banner Group" name="B1">
END_OF_BG

########################

$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Set Default Banner Group", qq[
This group of banners will be rotated in the event where a banner group reached it's expiry date or maximum impressions.<BR>
<b><a href="$admin_url/admin29.cgi">Go Back</a></b>
]);




print <<END_OF_DFB;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="set_default_bfinal">
  <p>$set_default_banner_html</p>
</form>
</body>
</html>

END_OF_DFB

}




sub get_html_code
{

$bgroup = $q->param('group');
($bgroup, $gid) = split (/-/, $bgroup);

######

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }


$sql = "SELECT bwidth, bhieght FROM bannergrp WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
	$bwidth = $row[0];
	$bheight = $row[1];
	}

$sth->finish;
$dbh->disconnect;

#######

if (($bwidth > 0) and ($bheight > 0))
	{
	$wh = "width=\"$bwidth\" height=\"$bheight\"";
	}

#width="640" height="480"

$banner_code = <<END_OF_BC;

<!-- Begin Banner Code --> 
<SCRIPT LANGUAGE="JavaScript">
<!-- 
random = parseInt(Math.random()*10000000)
banner = '<a href="$script_url/click2.cgi?grp=$gid&'
banner += 'pg=' + random + '" TARGET="_blank">'
banner += '<img src="$script_url/click.cgi?grp=$gid&'
banner += 'pg=' + random + '" alt="Click Here!" BORDER=0 $wh></a>'
document.write(banner)
// -->
</SCRIPT>
<!-- End Banner Code -->

END_OF_BC

#########


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Get HTML Code", qq[
Use the banner code below in your web pages if you would like to use banners outside of Turbo Seek. You can also use the HTML code below, for your front page or any other web page on your web site. This code can also be used in your templates.<BR><BR>

Remember that once you have defined 'groups of banners' in the 'Banner Manager'; you can target banners to be content sensitive to your directories in the 'Directory Manager'. Before you can define banners to directories in the 'Directory Manager' you have to have the variable word '%%bannerslotX%%' present in your directory related templates. See the online documentation for more about this.
]);

print <<END_OF_HTML;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="group_operations">
  
 $hbox

<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="group_operations">
  
  <table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#E1E1E1">
    <tr>
      <td width="1%" valign="top" bgcolor="#FFFFFF"><img src="$web_url/ic_banner2.gif"></td>
      <td width="99%" valign="top" bgcolor="#FFFFFF"><table width="100%" border="0"
      cellpadding="6">
        <tr>
          <td background="$web_url/bar6.gif"><strong class="normaltext">Banner code to use in Web
          Pages or PowerSeek Templates:</strong></td>
        </tr>
        <tr>
          <td class="normaltext">Copy and paste the following code into your Web Pages or PowerSeek
          Templates:<br>
          <br>
          <textarea rows="14" name="S1" cols="72" style="width:100%">$banner_code</textarea></td>
        </tr>
      </table>
      </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
      <td width="99%"></td>
    </tr>
  </table>
<span class="normaltext"><a href="$admin_url/admin29.cgi"><b>Go Back</b></a></span>
</form> 

</body>
</html>

END_OF_HTML

}



########


sub save_banner_group_properties
{

$gid = $q->param('gid');
$maximp = $q->param('maximp');
$expirdate = $q->param('expirdate');

$ausername = $q->param('ausername');
$ausername =~ s/'/\\'/g; 

$apassword = $q->param('apassword');
$apassword =~ s/'/\\'/g; 

$bwidth = $q->param('bwidth');
$bhieght = $q->param('bhieght');

######

if ($expirdate ne "")
	{
	($pyear,$pmonth,$pday) = split (/\//, $expirdate);
	$pmonth = $pmonth - 1;
	
	eval { $time = timelocal(0,0,0, $pday,$pmonth,$pyear);
 		  }; #warn $@ if $@;
 	if ($@ ne "")  
			{
		 	$lnkn = $ms + 1; #<br></b>Reason:</b> $@
		 	acs::problem_popup("The expiry date ($expirdate) that you specified is not a valid date. <br></b>Reason:</b> $@");
		 	} 
	$expirdate =~ s/\//-/g;
	}
	else
	{
	$expirdate = "2050-01-01";
	}



if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

if ($maximp eq "") { $maximp = "9999999"; }

$sql = "UPDATE bannergrp SET maximp = '$maximp',
									  expirdate = '$expirdate',
									  username = '$ausername',
									  password = '$apassword',
									  bwidth = '$bwidth',
									  bhieght = '$bhieght' 
									  WHERE groupid = '$gid'";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Group Properties Saved", qq[
<a href="$admin_url/admin29.cgi">Click Here to Continue</a>
]);


print <<END_OF_SAVED;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>

END_OF_SAVED



}








sub edit_group_properties
{

$bgroup = $q->param('group');
($bgroup, $gid) = split (/-/, $bgroup);


if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT groupid, groupname, maximp, expirdate, username, password, current_imp, current_clc, bwidth, bhieght FROM bannergrp WHERE groupid = '$gid'";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
	$groupname = $row[1];
	$maximp = $row[2];
	$expirdate = $row[3];
	$username = $row[4];
	$password = $row[5];
	$bwidth = $row[8];
	$bhieght = $row[9];
	}

if ($expirdate eq "2050-01-01") { $expirdate = ""; }

if ($maximp eq "9999999") { $maximp = ""; }

if ($maximp eq "0") { $maximp = ""; }

$sth->finish;
$dbh->disconnect;

if ($expirdate eq "0000-00-00")
	{
	$expirdate = "";
	}
	else
	{
	$expirdate =~ s/-/\//g;
	}



$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Group Properties", qq[
<b><a href="$admin_url/admin29.cgi">Go Back</a></b>
]);


print <<END_OF_BGP;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>


<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="save_banner_group_properties">
  <input type="hidden" name="gid" value="$gid">

$hbox
  
  
<p>  <a href="$admin_url/admin29.cgi"><strong>Banner Groups </strong></a>&gt; Edit Banner Group
  Properties </p>
  <table border="0" cellpadding="6" cellspacing="1" width="100%" bgcolor="#DBDBDB">
    <tr>
      <td width="100%" height="30" colspan="2" valign="top" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Edit
      Banner Group Properties</strong></td>
    </tr>
    <tr>
      <td width="13%" valign="top" bgcolor="#FFFFFF" class="normaltext">Group Name:</td>
      <td width="87%" valign="top" bgcolor="#FFFFFF" class="normaltext"><p><strong>$groupname</strong></td>
    </tr>
    <tr>
      <td width="13%" valign="top" bgcolor="#FFFFFF" class="normaltext">Maximum Impressions: </td>
      <td width="87%" valign="top" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="maximp" size="28"
      class="s" value="$maximp"> <strong>(Optional)
      </strong><br>
      This is the maximum number of times the banners in this group will be displayed. Leave
      blank for unlimited. This is useful when you only want to display banners a certain amount
      of times. </td>
    </tr>
    <tr>
      <td width="13%" valign="top" bgcolor="#FFFFFF" class="normaltext">Expiry Date: </td>
      <td width="87%" valign="top" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="expirdate"
      size="14" class="s" value="$expirdate">
      (YYYY/MM/DD) <strong>(Optional) </strong><br>
      This group of banners won't be displayed if the date above has been reached. Leave blank
      for no expiry date. </td>
    </tr>
    <tr>
      <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">Banner Width: <br>
      (Pixels) </td>
      <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="bwidth" size="14"
      class="s" value="$bwidth"> <strong>(Optional)
      <br>
      </strong>This is the width that banners will have in this banner group. Setting it will
      make banners load faster in browsers. </td>
    </tr>
    <tr>
      <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">Banner Height: <br>
      (Pixels) </td>
      <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="bhieght" size="14"
      class="s" value="$bhieght"> <strong>(Optional)
      <br>
      </strong>This is the height that banners will have in this banner group. Setting it will
      make banners load faster in browsers. </td>
    </tr>
    <tr>
      <td width="13%" valign="top" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="87%" valign="top" bgcolor="#FFFFFF" class="normaltext"><p><input type="submit"
      alue="Save Banner Group Properties" name="add_bgroup"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif" height="17">
    <tr>
      <td width="1%" bgcolor="#FFFFFF" height="17"><font color="#FFFFFF">_</font> </td>
      <td width="99%" height="17"></td>
    </tr>
  </table>
</form>

</body>
</html>

END_OF_BGP

}






#########





sub edit_banner_group
{

$bgroup = $q->param('group');

($bgroup, $gid) = split (/-/, $bgroup);

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

###### GET STATS

$sql = "SELECT bid, impressions, clicks FROM balogs WHERE groupid = '$gid' ORDER BY bid";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

	while ( @row = $sth->fetchrow() )
	{
	$idname = "B" . $row[0];
	if ($banners{$idname} eq "")
		{
		$banners{$idname} = "$idname:$row[1]:$row[2]";
		#print "==> $banners{$idname} <br>";
		}
		else
		{
		($tmp, $bimps, $bclicks) = split (/:/, $banners{$idname});
		$bimps = $bimps + $row[1];
		$bclicks = $bclicks + $row[2];
		$banners{$idname} = "$idname:$bimps:$bclicks";
		}
   }



####### GET BANNERS

$sql = "SELECT A.bid, A.groupid, A.bname, A.weight
					FROM banners AS A, bannergrp as B
					WHERE (A.groupid = '$gid') AND (A.groupid = B.groupid) ORDER BY A.bname";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}
$rows = $sth->rows();

$rcnt = 0;
$cco = 0;
while ( @row = $sth->fetchrow() )
	{
	$idname = "B" . $row[0];
	($tmp, $bimps, $bclicks) = split (/:/, $banners{$idname});

	if ($bimps > 0)
	{
	$ratio = $bclicks * 100 / $bimps;
	$ratio = sprintf("%5.2f",$ratio); 
	$ratio = $ratio . "%";
	}
	else
	{
	$ratio = "0.00%";
	}

	### GRAPH

	#<hr noshade size="4" color="#F8E70E">

	#######
	
	if ($bimps eq "") { $bimps = 0; }
	if ($bclicks eq "") { $bclicks = 0; }

	if ($cco != 0){$colr = "bgcolor=\"#F5F5F5\"";	} else {$colr = "";} $cco++;
	if ($rcnt == 0){$cval = "checked";} else { $cval = ""; } $rcnt++;
		
$table_lines = $table_lines . <<END_OF_TL;
<tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="60%" align="left" valign="top" class="normaltext" bgcolor="#FFFFFF">
     <input type="radio" value="$row[0]" $cval name="bid"> $row[2] </td>
    <td width="10%" align="center" valign="top" class="normaltext" bgcolor="#FFFFFF">$row[3] </td>
    <td width="10%" align="center" valign="top" class="normaltext" bgcolor="#FFFFFF">$bimps </td>
    <td width="10%" align="center" valign="top" class="normaltext" bgcolor="#FFFFFF">$bclicks </td>
    <td width="10%" align="center" valign="top" class="normaltext" bgcolor="#FFFFFF">$ratio </td>
  </tr>

END_OF_TL

	if ($cco == 2) { $cco = 0; }
	}

$sth->finish;
$dbh->disconnect;


if ($table_lines eq "")
	{
$table_lines = <<END_OF_TLINES;
 <tr>
    <td width="100%" class="normaltext" colspan="6" bgcolor="#FFFFFF">No banners currently in this group. Click the 'Add New Banner' button to add banners </td>
 </tr>
END_OF_TLINES
	}
	else
	{

$selbox = <<END_OF_SB;
<select name="faction" size="1">
<option value="edit">Edit Selected Banner</option>
<option value="delete">Delete Selected Banner</option>
<option value="stats">Banner Statistics</option>
<option value="reset_stats">Reset Banner Statistics</option>
</select> 
<input type="submit" value="   Go   " name="add2"> 
END_OF_SB
	
	}



$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Edit Banner in Group '$bgroup'", qq[
Enables you to Add/Edit/Delete Banners in the Current Group.<BR>
<b><a href="$admin_url/admin29.cgi">Go Back</a></b>
]);


$helpb = acs::quick_help("Help:",qq[<table border="0" width="100%" cellspacing="1" cellpadding="6">
  <tr>
    <td width="15%" class="normaltext">Weight: </td>
    <td width="85%" class="normaltext">The higher the weight the more the banner will be rotated </td>
  </tr>
  <tr>
    <td width="15%" class="normaltext">Impressions: </td>
    <td width="85%" class="normaltext">Total banner impressions for group </td>
  </tr>
  <tr>
    <td width="15%" class="normaltext">Clicks: </td>
    <td width="85%" class="normaltext">Total clicks banners in group </td>
  </tr>
  <tr>
    <td width="15%" class="normaltext">Ratios: </td>
    <td width="85%" class="normaltext">Click Through Ratio </td>
  </tr>
</table>
]);

print <<END_OF_B;

<html>

<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>

<body>

<form method="POST" action="$admin_url/admin30.cgi">
  <input type="hidden" name="fct" value="banner_group_operations">
  <input type="hidden" name="gid" value="$gid">
  <input type="hidden" name="bgroup" value="$bgroup">

$hbox

<span class="normaltext"><a href="$admin_url/admin29.cgi"><b>Banner Groups </b></a>&gt;&gt; Editing Banner Group <b>'$bgroup'</b></span><BR><BR>

<table border="0" cellpadding="6" cellspacing="1" width="100%" bgcolor="#DADADA">
  <tr>
    <td width="60%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Banners: </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Weight </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Impressions</strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Clicks</strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Ratio </strong></td>
  </tr>
    $table_lines
  <tr>
    <td width="100%" colspan="5" valign="top" bgcolor="#FFFFFF" class="normaltext">
    $selbox </td>
  </tr>
  <tr>
  <td width="100%" colspan="5" valign="top" bgcolor="#FFFFFF" class="normaltext">
  <input type="submit" value="Add New Banner" name="add_b"> 
  </td>
  </tr>
</table>

  <table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
    <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
  </table>

  </div>
$helpb
</form>

</body>
</html>

END_OF_B



}





sub add_group_final
{

$groupname = $q->param('groupname');

$maximp = $q->param('maximp');
$expirdate = $q->param('expirdate');

$ausername = $q->param('ausername');
$ausername =~ s/'/\\'/g; 

$apassword = $q->param('apassword');
$apassword =~ s/'/\\'/g; 

$bwidth = int($q->param('bwidth'));
$bhieght = int($q->param('bhieght'));

#### ERROR CHECKING

if ($groupname eq "") 
	{
	$error_text = "Please provide a banner group name.";
	}



for ($ms = 0; $ms < length($groupname); $ms++) 
	{
	$oneletter = substr($groupname, $ms, 1);
	if (($oneletter !~ /[0-9a-zA-Z]/) and ($oneletter ne "_"))
		{
		$error_text = "The group name you specified contains invalid characters. Please use only numerical characters or characters present in the english alphabet. You may also use underscores.";
		}
	}

##### CHECK EXPIRY DATE IF ANY

if ($expirdate ne "")
	{
	($pyear,$pmonth,$pday) = split (/\//, $expirdate);
	$pmonth = $pmonth - 1;
	
	eval { $time = timelocal(0,0,0, $pday,$pmonth,$pyear);
 		  }; #warn $@ if $@;
 	if ($@ ne "")  
			{
		 	$lnkn = $ms + 1; #<br></b>Reason:</b> $@
		 	acs::problem_popup("The expiry date ($expirdate) that you specified is not a valid date. <br></b>Reason:</b> $@");
		 	} 
	}
	else
	{
	$expirdate = "2050-01-01";
	}


##### CHECK FOR DUPLICATE GROUP NAMES

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT * FROM bannergrp WHERE groupname = '$groupname'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}
$rows = $sth->rows();

if ($rows > 0)
	{
	$error_text = "The banner group name you are trying to use already exists. Please use another.";
	}

#####


if ($error_text ne ""){acs::problem_popup($error_text);}


#### ADD NEW GROUP

$expirdate =~ s/\//-/g;

if ($maximp eq "") { $maximp = "9999999"; }

$sql = "INSERT INTO bannergrp SET 	groupname = '$groupname',
												maximp = '$maximp',
												expirdate = '$expirdate',
												username = '$ausername',
												password = '$apassword',
												bwidth = '$bwidth',
												bhieght = '$bhieght',
												current_imp = '0',
												current_clc = '0'";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "New banner group added", qq[
<a href="$admin_url/admin29.cgi">Click here to continue.</a>
]);



print <<END_OF_BM;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>

END_OF_BM

}






sub add_banner_group
{


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Add a New Banner Group ", qq[
A banner group contains a group of banners. For example, you can have several specialty groups with each groups containing banners on a specific topic. You can then target these groups of banners at specific categories. See the online documentation for more information. 
]);

print <<END_OF_ADD_BANNER;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>



<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="add_group_final">
  
 $hbox
  
  <strong><span class="normaltext"><a href="$admin_url/admin29.cgi">Banner Groups </a>&gt; Add a New Banner Group </span></strong><BR><BR>
 

<table border="0" cellpadding="6" cellspacing="1" width="100%" bgcolor="#DADADA">
  <tr>
    <td width="100%" colspan="2" valign="top" bgcolor="#FFFFFF" class="normaltext" height="30"
    background="$web_url/bar6.gif"><strong>Add a New Banner Group:</strong></td>
  </tr>
  <tr>
    <td width="21%" class="normaltext" valign="top" bgcolor="#FFFFFF"><p align="left">Group
    Name: </td>
    <td width="79%" class="normaltext" valign="top" bgcolor="#FFFFFF"><input type="text"
    name="groupname" size="28" class="normaltext"> <strong>(Required) </strong><br>
    Only use alphabetical characters in the English alphabet or numerical characters. </td>
  </tr>
  <tr>
    <td width="21%" class="normaltext" valign="top" bgcolor="#FFFFFF">Maximum Impressions: </td>
    <td width="79%" class="normaltext" valign="top" bgcolor="#FFFFFF"><input type="text"
    name="maximp" size="28" class="normaltext"> <strong>(Optional) </strong><br>
    This is the maximum number of times the banners in this group will be displayed. Leave
    blank for unlimited. This is useful when you only want to display banners a certain amount
    of times. </td>
  </tr>
  <tr>
    <td width="21%" class="normaltext" valign="top" bgcolor="#FFFFFF">Expiry Date: </td>
    <td width="79%" class="normaltext" valign="top" bgcolor="#FFFFFF"><input type="text"
    name="expirdate" size="14" class="normaltext"> (YYYY/MM/DD) <strong>(Optional) </strong><br>
    This group of banners won't be displayed if the date above has been reached. Leave blank
    for no expiry date. </td>
  </tr>
  <tr>
    <td width="21%" class="normaltext" valign="top" bgcolor="#FFFFFF">Banner Width: <br>
    (Pixels) </td>
    <td width="79%" class="normaltext" valign="top" bgcolor="#FFFFFF"><input type="text"
    name="bwidth" size="14" class="normaltext"> <strong>(Optional) <br>
    </strong>This is the width that banners will have in this banner group. Setting it will
    make banners load faster in browsers. </td>
  </tr>
  <tr>
    <td width="21%" class="normaltext" valign="top" bgcolor="#FFFFFF">Banner Height: <br>
    (Pixels) </td>
    <td width="79%" class="normaltext" valign="top" bgcolor="#FFFFFF"><input type="text"
    name="bhieght" size="14" class="normaltext"> <strong>(Optional) <br>
    </strong>This is the height that banners will have in this banner group. Setting it will
    make banners load faster in browsers. </td>
  </tr>
  <tr>
    <td width="21%" valign="top" class="normaltext" bgcolor="#FFFFFF"></td>
    <td width="79%" valign="top" class="normaltext" bgcolor="#FFFFFF"><p align="left"><input
    type="submit" value="Add New Banner Group" name="add_bgroup"> </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

</form>



</body>
</html>

END_OF_ADD_BANNER

exit;
}




sub start
{

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

#### GET ALL BANNERS SO THAT WE CAN DISPLAY THE NUMBER OF BANNERS IN A GROUP

$sql = "SELECT groupid FROM banners ORDER BY groupid";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

	while ( @row = $sth->fetchrow() )
	{
	$idname = "B" . $row[0];
	if ($banners{$idname} eq "")
		{
		$banners{$idname} = "$idname:1";
		}
		else
		{
		($tmp, $bno) = split (/:/, $banners{$idname});
		$bno++;
		$banners{$idname} = "$idname:$bno";
		}
	}


#### GET BANNER GROUPS

$sql = "SELECT * FROM bannergrp ORDER BY groupname";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$slec = 0;
$cco = 0;
while ( @row = $sth->fetchrow() )
{

	$banner_nrname = "B" . $row[0];
	$banner_nrname = $banners{$banner_nrname};
	($tmp, $bno) = split (/:/, $banner_nrname);
	if ($bno eq "") { $bno = "<font color=\"#FF0000\"><b>0</b></font>"; }

	#if ($cco != 0){$colr = "bgcolor=\"#F5F5F5\"";	} else {$colr = "";}
	if ($slec == 0) { $checkv = "checked";} else { $checkv = ""; }
	
	if ($row[6] > 0)
	{
	$ratio = $row[7] * 100 / $row[6];
	$ratio = sprintf("%5.2f",$ratio); 
	$ratio = $ratio . "%";
	}
	else
	{
	$ratio = "0.00%";
	}
	
	
	$bsize = "";
	if (($row[8] > 0) and ($row[9] > 0)) 
		{ $bsize = "$row[8]" . "x" . "$row[9]";}
		else
		{$bsize = "N/A";}
		
		#
	
$group_table = $group_table . <<END_OF_GT;
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="60%" align="left" valign="top" class="normaltext"><input type="radio" value="$row[1]-$row[0]"
    $checkv name="group"> <b>$row[1] </b></td>
    <td width="10%" align="center" valign="top" class="normaltext">$row[6] </td>
    <td width="10%" align="center" valign="top" class="normaltext">$row[7] </td>
    <td width="10%" align="center" valign="top" class="normaltext">$ratio </td>
    <td width="10%" align="center" valign="top" class="normaltext">$bno </td>
    <td width="10%" align="center" valign="top" class="normaltext">$bsize </td>
  </tr>
END_OF_GT
	$cco++; $slec++;
	if ($cco == 2) { $cco = 0; }
	
}

$sth->finish;
$dbh->disconnect;


if ($group_table eq "")
	{
$group_table = <<END_OF_BGROUP;
 <tr>
    <td align="left" valign="top" bgcolor="#FFFFFF" class="normaltext" colspan="6">No banner groups has been created yet.
    Click on the 'Add New Banner Group' button to add groups that can store banners. </td>
 </tr>
END_OF_BGROUP
	}
	else
	{

$option_dropdown = <<END_OF_OD;
<select name="faction" size="1">
 <option value="Edit">Add/Edit/Delete Banners of Group</option>
 <option value="get_html_code">Get HTML Code For Use on Other Pages</option> 
 <option value="usage">Directory/Category Usage Report</option>
 <option value="statistics">Group Statistics</option>
 <option value="reset">Reset Banner Group Statistics</option>
 <option value="delete">Delete Banner Group</option>
 <option value="edit_group_properties">Edit Group Properties</option>
</select>
<input type="submit" value="   Go   " name="add2"><br><br>
END_OF_OD
	
	}


$defaultb = acs::get_file_contents("$data_dir/defaultb.dat"); 
($defaultb, $dname) = split(/-/, $defaultb);


if ($defaultb > 0)
	{
	$notset = "<font color=\"#0000FF\"><strong>Currently set to: $dname</strong></font>";
	}
	else
	{
	$notset = "<font color=\"#FF0000\"><strong>Not Set - Please Set</strong></font>";
	}


### CLEANUP REFERER LOGS

opendir(DIR,"$data_dir");
	@files = readdir(DIR);
	foreach $filename (@files)
	{
		if (substr($filename, length($filename) - 4, 4) eq ".tdy")
			{
			
			$FileAge = (-M "$data_dir/$filename");
							
			if ($FileAge > 3)
				{
				unlink ("$data_dir/$filename");
				}
			}

	}


#########################

$hbox = acs::get_heading_box("$web_url/ic_banner.gif", "Banner Manager", qq[Enables you to add/remove/edit banners that can be rotated in your directory.]);


$helpb = acs::quick_help("Help:",qq[

<table border="0" cellpadding="3" cellspacing="0" width="100%">
  <tr>
    <td width="100%" colspan="2" class="normaltext"><font color="#0000FF"><strong>Table Column
    Legend:</strong></font></td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Impressions:</td>
    <td width="70%" class="normaltext">Total banner impressions for group </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Clicks:</td>
    <td width="70%" class="normaltext">Total banner impressions for group </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Ratio:</td>
    <td width="70%" class="normaltext">Click Through Ratio </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Banners:</td>
    <td width="70%" class="normaltext">Number of banners in group </td>
  </tr>
  <tr>
    <td width="100%" colspan="2" class="normaltext"><font color="#0000FF"><strong>DropDown
    Menu Options:</strong></font></td>
  </tr>
  <tr>
    <td width="20%" class="normaltext">Add/Edit/Delete Banners of Group:</td>
    <td width="70%" class="normaltext">Add/Edit/Delete Banners within the group that has been
    selected above. </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Delete Banner Group:</td>
    <td width="70%" class="normaltext">Delete the group and all the banners that it contains. </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Directory/Category Usage Report:</td>
    <td width="70%" class="normaltext">Shows in what categories, groups of banners are
    rotated. </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Group Statistics:</td>
    <td width="70%" class="normaltext">Displays statistics of the banners in the selected
    group. </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Get HTML Code For Use on Other Pages:</td>
    <td width="70%" class="normaltext">Enables you to use groups of banners on other web
    pages. </td>
  </tr>
  <tr>
    <td width="30%" class="normaltext">Edit Group Properties:</td>
    <td width="70%" class="normaltext">Edit the propperties of the selected group. </td>
  </tr>
</table>

]);

print <<END_OF_EM;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
<form method="POST" action="$admin_url/admin29.cgi">
  <input type="hidden" name="fct" value="group_operations">
$hbox


<table border="0" cellpadding="6" cellspacing="1" width="100%"
style="border: 1px solid rgb(218,218,218)">
  <tr>
    <td width="50%" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Banner
    Groups (Select DropDown To Edit/Delete/etc..) </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif"
    class="normaltext"><strong>Impressions </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif"
    class="normaltext"><strong>Clicks </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif"
    class="normaltext"><strong>Ratio </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif"
    class="normaltext"><strong>Banners </strong></td>
    <td width="10%" align="center" valign="top" background="$web_url/bar6.gif"
    class="normaltext"><strong>Size </strong></td>
  </tr>

    <tr>
      $group_table
    </tr>
    <tr>
      <td width="100%" valign="top" colspan="5" class="normaltext">
		$option_dropdown
      <input type="submit" value="Add New Banner Group" name="add_bgroup"><br><br>
      <input type="submit" value="Set Default Banner Group" name="set_default"> $notset<br>
		      This group of banners will be rotated in the event where a banner group reached it's expiry date or maximum impressions.<br>
      &nbsp;&nbsp;&nbsp;&nbsp;
      </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
    <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
  </table>
  $helpb
</form>




</body>
</html>

END_OF_EM

}







####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

